Name:           spice
Version:        0.15.2
Release:        2
Summary:        Implements the SPICE protocol
Group:          User Interface/Desktops
License:        LGPLv2+
URL:            https://www.spice-space.org/
Source0:        https://www.spice-space.org/download/releases/spice-server/%{name}-%{version}.tar.bz2
Source1:        https://www.spice-space.org/download/releases/spice-server/%{name}-%{version}.tar.bz2.sig
Source2:        victortoso-E37A484F.keyring


ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 sw_64 loongarch64 riscv64 ppc64le

BuildRequires:  gcc pkgconfig glib2-devel spice-protocol >= 0.14.0 opus-devel git-core gnupg2
BuildRequires:  pixman-devel openssl-devel libjpeg-devel libcacard-devel cyrus-sasl-devel
BuildRequires:  lz4-devel gstreamer1-devel gstreamer1-plugins-base-devel orc-devel 
BuildRequires:  gcc-c++

%description
The SPICE package provides the SPICE server library and client.
These components are used to provide access to a remote machine's
display and devices.

%package        server
Summary:        Implements the server side of the SPICE protocol
Obsoletes:      spice-client < %{version}-%{release}

%description    server
This package contains the run-time libraries for any application that wishes
to be a SPICE server and is used to expose a remote machine's display and devices.

%package        server-devel
Summary:        Header files and development files for %{name}-server
Requires:       %{name}-server  pkgconfig
  
%description    server-devel
The %{name}-server-devel package contains static libraries and header files for
developing applications that use %{name}-server.

%package_help

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -n %{name}-%{version} -p1

%build
%define configure_client --disable-client
%configure --enable-smartcard --disable-client --enable-lz4 --enable-gstreamer=1.0 --disable-celt051
%make_build WARN_CFLAGS='' V=1

%install
make DESTDIR=%{buildroot} install
%delete_la_and_a
install -d  %{buildroot}%{_libexecdir}

%ldconfig_scriptlets server

%files server
%defattr(-,root,root)
%license COPYING
%{_libdir}/libspice-server.so.*

%files server-devel
%defattr(-,root,root)
%{_includedir}/spice-server/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libspice-server.so

%files help
%defattr(-,root,root)
%doc README

%changelog
* Wed May 8 2024 hefq343 <fengqing.he@shingroup.cn> - 0.15.2-2
- add support for ppc64le

* Thu Oct 19 2023 li weigang - <weigangli99@gmail.com> - 0.15.2-1
- update to version 0.15.2

* Mon Jun 26 2023 wangjunqiang <wangjunqiang@iscas.ac.cn> - 0.14.3-6
- Add riscv64 to ExclusiveArch

* Thu Feb 16 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.14.3-5
- Add loongarch64 support

* Thu Nov 3 2022 wuzx<wuzx1226@qq.com> - 0.14.3-4
- Add sw64 architecture

* Mon Jun 07 2021 wangkerong <wangkerong@huawei.com> - 0.14.3-3
- Type:CVE
- Id:CVE-2021-20201
- SUG:NA
- DESC:fix CVE-2021-20201

* Tue Feb 23 2021 jinzhimin <jinzhimin2@huawei.com> - 0.14.3-2
- fix CVE-2020-14355

* Sun Oct 4 2020 jinzhimin<jinzhimin2@huawei.com> - 0.14.3-1
- update to 0.14.3

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.14.0-6
- Package init

